function getIgnoredFiles() {
    const arch = process.argv[3] ? process.argv[3] : process.arch;
    const target = `${process.platform}_${arch}`;
    var ignoredFiles = [
        "^/dist/main_coverage",
        "^/dist/ng_coverage",
        "^/dist/common",
        "^/dist/main",
        "^/dist/dist",
        "^/third_party",
        "^/README[.]md",
        "^/tsconfig[.].*",
        "^/yarn-.*[.]log",
        "^/tslint[.]json",
        "^/jasmine[.]json",
        "^/angular[.]json",
        "^/karma[.]conf[.]js",
        "^/CONTRIBUTING[.]md",
        "^/node_modeuls",
        "^/kokoro",
        "^/common",
        "^/src",
        "^/tools",
        "^/main",
        "^/[.]nyc_output",
        "^/[.]angular",
        "^/[.]environment",
        "[.]proto$",
        "[.]ts$",
        "[.]d[.]ts$",
        "[.]ts[.]map$",
        "[.]js[.]map$",
    ];

    switch(target) {
        case 'linux_x64':
            ignoredFiles.push("^/prebuilt/darwin_x64",  "^/prebuilt/darwin_arm64");
            break;
        case 'darwin_x64':
            ignoredFiles.push("^/prebuilt/linux_x64",  "^/prebuilt/darwin_arm64");
            break;
        case 'darwin_arm64':
            ignoredFiles.push("^/prebuilt/linux_x64",  "^/prebuilt/darwin_x64");
            break;
        default:
    }

    return ignoredFiles;
}

module.exports = {
    packagerConfig: {
        icon: "src/assets/images/app_icon",
        ignore: getIgnoredFiles()
    },
    makers: [
      {
        name: "@electron-forge/maker-dmg",
        config: {
          "title": "Matter Virtual Device",
          "icon": "src/assets/images/app_icon.icns",
          "format": "ULFO"
        }
      },
      {
        name: "@electron-forge/maker-deb",
        config: {
          options: {
            icon: "src/assets/images/app_icon.png",
            section: "devel",
            productName: "Matter Virtual Device",
            genericName: "Matter Virtual Device"
          }
        }
      }
    ]
  }